cgGetParameterContext(3)

NAME
cgGetParameterContext - get a parameter's parent context

SYNOPSIS
  #include <Cg/cg.h>
  CGcontext cgGetParameterContext( CGparameter param );

PARAMETERS

param
    The parameter.

RETURN VALUES
Returns a CGcontext handle to the parent context.

Returns NULL if an error occurs.

DESCRIPTION
cgGetParameterContext allows the application to retrieve a handle to the context to which a given parameter belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterContext was introduced in Cg 1.2.

SEE ALSO
the cgCreateParameter manpage, the cgGetParameterProgram manpage